export function isPhone(val: string) {
  return /^1[3|4|5|6|7|8|9][0-9]{9}$/.test(val)
}

export function isEmail(val: string) {
  return /^[a-z0-9]+([._\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+$/.test(val)
}

export function isPassword(password: string) {
  return /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z!@#$%^&*-_]{6,20}$/.test(password)
}

