
import type { AxiosResponse } from 'axios'
import request from 'Plugins/axios'
import { BaseSearch } from 'Types/api'

// 订单列表
export const apiOrderList = async (data: BaseSearch): AxiosResponseDataType<ListResponseData<OrderItem[]>> =>
  request.get('/jeecgboot/vendor/intent/intentOrder/list2', data)

// 订单详情
export const apiOrderInfo = async (data: ILogin): AxiosResponseDataType<LoginInfoRespData> =>
  request.get('/jeecgboot/vendor/intent/intentOrder/queryById2', data)

// 工作台 订单数据
export const apiRecentOrder = async (data: ILogin): AxiosResponseDataType<LoginInfoRespData> =>
  request.get('/jeecgboot/vendor/intent/intentOrder/getOrderAndLast', data)
