type productAddForm = {
  // 商品标题
  title: string
  // 所属品牌code
  affiliationBrandCode: string | number
  // 所属分类code
  category: string | number
  // 产地code
  registrationCode: string | number
  // 审核状态
  checkState: string | number
  // MOQ
  moq: string | number
  // 计量单位
  // 颜色
  // 材质
  // 装箱数
  // 净重
  // 颜色

  pageNo: number
  pageSize: number
}
type productSearchForm = {
  // 商品标题
  title: string
  // 所属品牌code
  affiliationBrandCode: string | number
  // 所属分类code
  category: string | number
  // 审核状态
  checkState: string | number

  pageNo: number
  pageSize: number
}

type PasswordDto = {
  newPassword: string
  oldPassword: string
  confirmPassword: string
}

declare type ValidateOldPwdDto = {}

type ProductItem = {
  affiliationBrandCode:	string;	
  affiliationBrandName:	string;	
  billNo:	string	
  cartonQuantity:	number	
  category:	string	
  categoryText:	string	
  checkState:	string	
  color:	string	
  createBy:	string	
  createTime:	string	
  createType:	string	
  firstCategory:	string	
  height:	number	
  id:	string	
  length:	number	
  lwhUnit:	string	
  masterImage:	string	
  merchandiseChinaName?:	string	
  merchandiseDescribe:	string	
  merchandiseEnglishName:	string	
  merchandiseType?:	string	
  minMaxPrice:	string	
  moq:	string	
  onOrOffTime:	string	
  otherImage:	string	
  otherVideo:	string	
  productCode:	string	
  productName:	string	
  registrationCode:	string	
  reject:	string	
  secondCategory:	string	
  state:	string	
  supplierCode:	string	
  supplierName:	string	
  suttle:	string	
  suttleUnit:	string	
  tag:	string	
  texture: string	
  thirdCategory:	string	
  twoTitle:	string	
  unit:	string	
  updateBy:	string	
  updateTime:	string	
  volume:	number	
  volumeUnit:	string	
  width: number
}

